interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54554 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36581']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:37 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjigqa.2.1505364097087.Z0FBQUFBQlp1Z2lCbHVKTnlVLVhXTjZZQVAxZmg0a194cVlFTG9mMnViVF9NcFBLLVVzaDRJOHZrNktTYkgxNWlWUWtsQXlMYm1hbmRsZUQ3NnRNM2xxN1hoTE02UGFhR0FiRXBIdldqVGo5OGx3UmRLVG50Q2poQ3hobzU0WWtrOE5NeC1CWjhvZTE;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:37
          GMT; secure', 'session_tracker=os1lEXSN1BOlapoj3n.0.1505364097081.Z0FBQUFBQlp1Z2lCQld2UG13ZGM4bkVxdHlYN21RRk9CR2FBa3ZiRUVHZ1A0UnNLMXlrUnBsZ21GMGJIMERoTzdPTjZub1AzS0xoVUEyX0cyVDFZd1dwQ3hBSkVodm9SQkxLTjhTMVkxZ256ZEZlZkZuVm5VWDZyeWQtQmRCYVp5OXJGdnFNWTZmTm0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:37
          GMT; secure', edgebucket=VrI0iMH91TjYEq19q5; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364097.064972,VS0,VE405']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjigqa.2.1505364097087.Z0FBQUFBQlp1Z2lCbHVKTnlVLVhXTjZZQVAxZmg0a194cVlFTG9mMnViVF9NcFBLLVVzaDRJOHZrNktTYkgxNWlWUWtsQXlMYm1hbmRsZUQ3NnRNM2xxN1hoTE02UGFhR0FiRXBIdldqVGo5OGx3UmRLVG50Q2poQ3hobzU0WWtrOE5NeC1CWjhvZTE;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:37
          GMT; secure', 'session_tracker=os1lEXSN1BOlapoj3n.0.1505364097081.Z0FBQUFBQlp1Z2lCQld2UG13ZGM4bkVxdHlYN21RRk9CR2FBa3ZiRUVHZ1A0UnNLMXlrUnBsZ21GMGJIMERoTzdPTjZub1AzS0xoVUEyX0cyVDFZd1dwQ3hBSkVodm9SQkxLTjhTMVkxZ256ZEZlZkZuVm5VWDZyeWQtQmRCYVp5OXJGdnFNWTZmTm0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:37
          GMT; secure', edgebucket=VrI0iMH91TjYEq19q5; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=Hwtr44DDWfnb60tA9NKio%2BxGpyO1hfEreIT7B5tStPgGwEkHLErgp4Brb2SZHG6vN10eY%2FoaAYw%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=VrI0iMH91TjYEq19q5; loid=00000000000drjigqa.2.1505364097087.Z0FBQUFBQlp1Z2lCbHVKTnlVLVhXTjZZQVAxZmg0a194cVlFTG9mMnViVF9NcFBLLVVzaDRJOHZrNktTYkgxNWlWUWtsQXlMYm1hbmRsZUQ3NnRNM2xxN1hoTE02UGFhR0FiRXBIdldqVGo5OGx3UmRLVG50Q2poQ3hobzU0WWtrOE5NeC1CWjhvZTE;
          session_tracker=os1lEXSN1BOlapoj3n.0.1505364097081.Z0FBQUFBQlp1Z2lCQld2UG13ZGM4bkVxdHlYN21RRk9CR2FBa3ZiRUVHZ1A0UnNLMXlrUnBsZ21GMGJIMERoTzdPTjZub1AzS0xoVUEyX0cyVDFZd1dwQ3hBSkVodm9SQkxLTjhTMVkxZ256ZEZlZkZuVm5VWDZyeWQtQmRCYVp5OXJGdnFNWTZmTm0]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        fHStgRgGUfD/AceGh2lA0QMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36612']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:43 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364103.762823,VS0,VE370']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=os1lEXSN1BOlapoj3n.0.1505364102780.Z0FBQUFBQlp1Z2lIMHdDRTNxNzQ0MDEzaFJIeDljWGtSQjRvN3R2SjdYYVBaVnJ6S2t0VW5jSDRFOVNpdVRZbUEtaFNKNnJZMTlGX0lKU0dsVUltR0NfdDRfRzctU2ZzQXp2SW51YkRlanh5bDNhRHA0U2x4Vk44dy01QlRsQlZrNXlWaXNVQ3hGZzg;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:43
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=qnMGZM0GIQ7Gj6Yui0u2oi0hbnSwZoBTm7FTKS3LvyCY6xBJWRyDRQ%2BDnJ7OdoWq15sBtuiDzwU%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
